Loading...
Searching...
No Matches
pcl::Narf::FeaturePointRepresentation Struct Reference

`#include <pcl/features/narf.h>`

Inheritance diagram for pcl::Narf::FeaturePointRepresentation:

## Public Types

using | PointT = Narf *
Public Types inherited from pcl::PointRepresentation< Narf * >
using | Ptr = shared_ptr< PointRepresentation< Narf * > >
using | ConstPtr = shared_ptr< const PointRepresentation< Narf * > >

## Public Member Functions

| FeaturePointRepresentation (int nr_dimensions)
| ~FeaturePointRepresentation () override=default
| Empty destructor.
void | copyToFloatArray (const PointT &p, float *out) const override
Public Member Functions inherited from pcl::PointRepresentation< Narf * >
virtual | ~PointRepresentation ()=default
| Empty destructor.
virtual void | copyToFloatArray (const Narf * &p, float *out) const=0
| Copy point data from input point to a float array.
bool | isTrivial () const
| Returns whether this point representation is trivial.
virtual bool | isValid (const Narf * &p) const
| Verify that the input point is valid.
void | vectorize (const Narf * &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha.
void | vectorize (const Narf * &p, float *out) const
void | vectorize (const Narf * &p, std::vector< float > &out) const
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points.
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation.

## Additional Inherited Members

Protected Attributes inherited from pcl::PointRepresentation< Narf * >
int | nr_dimensions_
| The number of dimensions in this point's vector (i.e.
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension.
bool | trivial_
| Indicates whether this point representation is trivial.

## Detailed Description

Definition at line 239 of file narf.h.

## Member Typedef Documentation

## PointT

using pcl::Narf::FeaturePointRepresentation::PointT = Narf *

Definition at line 241 of file narf.h.

## Constructor & Destructor Documentation

## FeaturePointRepresentation()

pcl::Narf::FeaturePointRepresentation::FeaturePointRepresentation | ( | int | nr_dimensions | ) |

inline

Definition at line 242 of file narf.h.

## ~FeaturePointRepresentation()

pcl::Narf::FeaturePointRepresentation::~FeaturePointRepresentation | ( |  | ) |

override default

Empty destructor.

## Member Function Documentation

## copyToFloatArray()

void pcl::Narf::FeaturePointRepresentation::copyToFloatArray | ( | const PointT & | p,
|  | float * | out
| ) |  | const

inline override

Definition at line 245 of file narf.h.

References pcl::Narf::getDescriptor().

The documentation for this struct was generated from the following file:

- pcl/features/narf.h